## debian-codemods 0.170

=== changelog ===
folks (0.15.12-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Lintian override
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jan 2026 15:56:50 -0500

folks (0.15.9-8) unstable; urgency=medium

  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 22:11:46 -0500

folks (0.15.9-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Build-Depend on required GIR XML (gir1.2-*-dev)
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection (Closes: #1118816)

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 25 Oct 2025 17:27:11 -0400

folks (0.15.9-5) unstable; urgency=medium

  * Opt into Salsa CI
  * libfolks-dev: Use ${gir:Depends} & ${gir:Provides}
  * libfolks-dummy26: Add Lintian override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 19:51:14 -0500

folks (0.15.9-4) unstable; urgency=medium

  * Follow Ubuntu and ignore build test failures. The failures appear
    to have been triggered by glib 2.80 / gobject-introspection 1.80.
    See Ubuntu bug 2060073

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 17:29:41 -0400

folks (0.15.9-3) unstable; urgency=medium

  * Enable sysprof profiling support on most architectures (LP: #2077465)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 16:15:39 -0400

folks (0.15.9-2) unstable; urgency=medium

  * Adjust dependency to >= ${source:Version} to allow binNMUs
    (Closes: #1067674)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 16:07:16 -0400

folks (0.15.9-1) unstable; urgency=medium

  * New upstream release
    - Fix build failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Mar 2024 07:41:20 -0400

folks (0.15.7-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 14:01:41 -0500

folks (0.15.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.57
  * debian/libfolks26.symbols: Add new symbols
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Jun 2023 09:36:50 -0400

folks (0.15.5-2) unstable; urgency=medium

  * debian/rules: don't ignore test failures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 25 Mar 2022 13:18:14 -0400

folks (0.15.5-1) unstable; urgency=medium

  * New upstream release
  * debian/libfolks26.symbols: Add new symbols
  * debian/rules: don't run tests in parallel

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 15:04:47 -0400

folks (0.15.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/libfolks-eds26.symbols: Add new symbols
  * debian/control.in: Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 22 Jan 2022 14:12:22 -0500

folks (0.15.3-4) unstable; urgency=medium

  * debian/rules: Make build-tests non-fatal for now and
    increase timeout multiplier

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 10:00:56 -0400

folks (0.15.3-3) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest evolution-data-server
    (Closes: #997207)
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/rules: Enable all hardening flags
  * debian/rules: Run dh_auto_test
  * debian/control.in: Build-Depend on evolution-data-server for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 08:52:33 -0400

folks (0.15.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Sep 2021 22:09:18 +0200

folks (0.15.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump evolution-data-server-dev and libglib2.0-dev
    (build-)dependency
  * Bump the soname from 25 to 26
  * debian/watch: Bump version to 4

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Aug 2021 16:09:56 +0200

folks (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Adjust the Copyright holders (Closes: #956286)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Apr 2020 09:35:30 +0200

folks (0.13.2-2) unstable; urgency=medium

  * debian/control.in: Mark the -dev packages as multi-arch same
  * Build the documentation and create new -doc packages (Closes: #679740)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 21:45:34 +0100

folks (0.13.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/gbp.conf: Align with other GNOME Team packages
  * New upstream release
  * Update build-dependencies
  * Drop migration path from -dbg packages older than oldstable
  * Use debhelper-compat build-dependency instead of debian/compat
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete Upstream-Contact
  * Standards-Version: 4.5.0 (no changes required)
  * Install new GConf -> gsettings conversion
  * Set Rules-Requires-Root to no
  * Add Provides for gir1.2-folkstelepathy-0.6 etc.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 21:14:34 +0100

folks (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * Acknowledge NMU, thanks Simon (Closes: #941472)
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * The package now uses meson, adjust the build-dependencies and the options
    passed to the configure
  * Drop d/p/eds-Adapt-to-libebook-API-changes.patch, applied upstream
  * debian/folks-common.install: Drop GConf to gsettings convert file
  * debian/*.symbols: Drop private symbols not exported anymore
  * debian/watch: Use https://

