=== debian/changelog ===
debian-codemods (0.170) experimental; urgency=medium

  * Rename source package to ``debian-codemods`` to reflect that it
    contains more than just lintian-brush.
  * Split out a debian-codemods binary package that contains the
    non-lintian-brush binaries.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Feb 2026 00:00:00 +0000

lintian-brush (0.166) unstable; urgency=medium

  * Upgrade to makefile-lossless 0.3.27, fixing parsing of makefiles
    with nested conditionals. Closes: #1126511
  * Stop shipping deb-import-uncommitted, which conflicts with brz-debian.
    Closes: #1126510

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Jan 2026 00:00:00 +0000

lintian-brush (0.165) unstable; urgency=medium

  * Add python3-setuptools to Build-Depends and fix setup.py parsing for
    Python 3.12+, where distutils was removed.
  * debian/copyright: Drop pattern for nonexistent
    py/lintian_brush/systemd.py.
  * Fix ordering issue.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Jan 2026 00:00:00 +0000

lintian-brush (0.164) unstable; urgency=medium

  * Drop unnecessary python dependencies. Closes: #1125923

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Jan 2026 23:02:42 +0000

lintian-brush (0.163) unstable; urgency=medium

  * Convert most fixers to Rust.
  * Add support for X-DH-Compat header. Closes: #1106883
  * Bump breezyshim to 0.7 and pyo03 to 0.27. Closes: #1114184
  * Bump python3-upstream-ontologist dependency to 0.2.2; older versions
    trigger a infinite memory usage bug.
  * Don't crash when a fixer is killed by a signal.
  * Rebuild against Python 3.13/3.14. Closes: #1094320
  * pkg-perl-testsuite: Don't add Testsuite header when debian/tests/control
    already exists. Closes: #982871
  * Skip debhelper-but-no-misc-depends for debhelper compat >= 14. Closes: #1072700
  * Add asterisk prefix to changelog entries. Closes: #1110106
  * double-check overrides. Closes: #961643
  * upstream-metadata-file: Support FAQ and Other-References fields.
    Closes: #1101050, #1110416
  * Fix public-upstream-key-not-minimal fixer by rewriting in Rust.
    Closes: #968150
  * Fix deb-scrub-obsolete runtime panic by enabling sqlx runtime feature.
    Closes: #1125793

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 Jun 2025 22:37:02 +0100

lintian-brush (0.162) unstable; urgency=medium

  * Bump the version of hyper to 1.5

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 11:18:21 +0100

lintian-brush (0.161) unstable; urgency=medium

  * dep3-format-patch-author-or-from-is-better: Cope with commented out
    patches or missing patches in debian/patches/series.
    Closes: #1090998
  * rules-requires-root-missing: only set Rules-Requires-Root when
    dpkg < 1.22.13 needs to be supported, and delete it if only
    dpkg >= 1.22.13 is supported. Closes: #1091929
  * Update hyper used. Closes: #1102593

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Dec 2024 19:10:53 +0000

lintian-brush (0.160) unstable; urgency=medium

  * Fix installing of fixers. Closes: #1090831

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 19 Dec 2024 21:19:06 +0000

lintian-brush (0.159) unstable; urgency=medium

  * Add fixer for dep3-format-patch-author-or-from-is-better
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Nov 2024 13:29:46 +0000

lintian-brush (0.158) experimental; urgency=medium

  * Bump pyo3 to 0.22.
  * Drop dependency on dead python3-pyinotify. Closes: #1075953
  * Add hint about misisng Python package when it can't be found.
  * Rebuild against python 3.12. Closes: #1076706
  * Support newer clap. Closes: #1082363
  * When running fixers, restrict how long they can be running.
    Closes: #1076245

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 27 Jun 2024 15:44:16 +0100

lintian-brush (0.157) unstable; urgency=medium

  * Bump breezyshim to latest version.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Jun 2024 19:49:00 +0100

lintian-brush (0.156) unstable; urgency=medium

  * Re-arrange directories to allow publishing individual crates.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 08 Jun 2024 23:28:42 +0100

lintian-brush (0.155) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Bump pyo3 dependency to 0.20, fixing FTBFS. Closes: #1061435

  [ Peter Michael Green ]
  * Add missing build-dependency on librust-pyo3-file-dev

  [ Jelmer Vernooĳ ]
  * When removing calls to deprecated dh_autotools-dev_updateconfig,
    substitute dh_update_autotools_config. Closes: #1071554

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 07 Jun 2024 13:26:47 +0100

lintian-brush (0.154) unstable; urgency=medium

  * Add manpages for deb-vcs-publish, fix-watch-file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 21 Nov 2023 13:30:41 +0000

lintian-brush (0.152) unstable; urgency=medium

  * Fix compatibility with newer rust crates. Closes: #1054839

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 Oct 2023 01:41:32 +0100

lintian-brush (0.151) unstable; urgency=medium

  * Finish conversion of apply-multiarch-hints to rust. Closes:
    #1051766, #1042949
  * Add support for ma-workaround.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Sep 2023 14:17:49 +0100

lintian-brush (0.150) unstable; urgency=medium

  * Scrub environment when running tests.
  * Port the lintian-brush command to rust.
  * Bump breezy dependency to 3.3.1

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Sep 2023 17:49:50 +0100

lintian-brush (0.149) unstable; urgency=medium

  * Port some core functionality to rust.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Jun 2023 22:57:59 +0100

lintian-brush (0.148) unstable; urgency=medium

  * Bump minimum upstream-ontologist to 0.134.
  * Maintain an explicit list of fields to add to
    debian/upstream/metadata.
  * Migrate from asyncpg to psycopg2.
  * Bump debmutate to 0.66, which fixes shebang-stripping bug - and add
    test.
  * Fill in Homepage field.
  * Update standards version to 4.6.2, no changes needed.


