=== lintian-brush/tests/debian-rules-uses-deprecated-systemd-override/simple/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemd:
	dh_systemd_enable --name=myservice myservice.service
