=== lintian-brush/tests/homepage-url-ends-with-dot-git/github/in/debian/control ===
Source: test-package
Homepage: https://github.com/user/repo.git

Package: test-package
Architecture: all
Description: Test package
 This is a test package.
