=== lintian-brush/tests/trailing-comma-in-maintainer-field/with-whitespace/out/debian/control ===
Source: another-package
Maintainer: Jane Smith <jane@example.org>

Package: another-package
Architecture: any
Description: Another test package
 Testing with whitespace before comma.
