=== debian/control ===
Source: debian-codemods
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 13.5),
               debhelper-compat (= 13),
               bash-completion,
               cargo:native,
               decopy,
               devscripts,
               dos2unix,
               gpg,
               librust-async-trait-0.1+default-dev,
               librust-breezyshim-0.7+debian-dev (>= 0.7.8),
               librust-breezyshim-0.7+default-dev (>= 0.7.8),
               librust-breezyshim-0.7+dirty-tracker-dev (>= 0.7.8),
               librust-breezyshim-0.7+sqlx-dev (>= 0.7.8),
               librust-buildlog-consultant+default-dev (>= 0.1.0),
               librust-cargo-lock-11+default-dev,
               librust-chrono+default-dev (>= 0.4),
               librust-chrono-0.4+default-dev,
               librust-clap-4+cargo-dev,
               librust-clap-4+default-dev,
               librust-clap-4+derive-dev,
               librust-clap-4+env-dev,
               librust-clap-4+string-dev,
               librust-clap-4+suggestions-dev,
               librust-configparser-3+default-dev,
               librust-deb822-lossless-0.5+default-dev (>= 0.5.5),
               librust-debbugs-0.1+blocking-dev (>= 0.1.8),
               librust-debbugs-0.1+default-dev (>= 0.1.8),
               librust-debian-analyzer-0.160+default-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+python-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+svp-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+udd-dev (>= 0.160.11),
               librust-debian-changelog-0.2+default-dev (>= 0.2.13),
               librust-debian-control+default-dev (>= 0.1.0),
               librust-debian-control-0.2+default-dev (>= 0.2.15),
               librust-debian-copyright-0.1+default-dev (>= 0.1.41),
               librust-debian-watch-0.4+blocking-dev,
               librust-debian-watch-0.4+default-dev,
               librust-debian-watch-0.4+discover-dev,
               librust-debian-watch-0.4+pgp-dev,
               librust-debversion+default-dev (>= 0.4.0),
               librust-debversion-0.5+default-dev,
               librust-debversion-0.5+python-debian-dev,
               librust-debversion-0.5+serde-dev,
               librust-debversion-0.5+sqlx-dev,
               librust-dep3-0.2+default-dev,
               librust-desktop-edit-0.1+default-dev,
               librust-distro-info-0.4+default-dev,
               librust-env-logger-0.11+default-dev,
               librust-flate2-1+default-dev,
               librust-futures-0.3+default-dev,
               librust-http-body-util-0.1+default-dev,
               librust-humantime-2+default-dev (>= 2.1.0),
               librust-hyper-1+default-dev (>= 1.5),
               librust-hyper-1+http1-dev (>= 1.5),
               librust-hyper-1+server-dev (>= 1.5),
               librust-hyper-util-0.1+server-auto-dev,
               librust-hyper-util-0.1+server-dev,
               librust-hyper-util-0.1+tokio-dev,
               librust-indexmap-2+default-dev (>= 2.7),
               librust-indicatif+default-dev (<< 0.19-~~),
               librust-indicatif+default-dev (>= 0.17),
               librust-inventory-0.3+default-dev,
               librust-json-dev,
               librust-lazy-regex-3+default-dev,
               librust-lazy-static-1+default-dev,
               librust-log-0.4+default-dev,
               librust-makefile-lossless+default-dev (>= 0.3),
               librust-makefile-lossless-0.3+default-dev (>= 0.3.28),
               librust-nu-ansi-term-0.50+default-dev,
               librust-ognibuild-0.2+debian-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+default-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+upstream-dev (>= 0.2.4-3),
               librust-patchkit-0.2+default-dev (>= 0.2.2),
               librust-pyo3+chrono-dev (<< 0.29),
               librust-pyo3+chrono-dev (>= 0.27),
               librust-pyo3+default-dev (<< 0.29),
               librust-pyo3+default-dev (>= 0.27),
               librust-pyo3+serde-dev (<< 0.29),
               librust-pyo3+serde-dev (>= 0.27),
               librust-pyo3-log+default-dev (<< 0.14-~~),
               librust-pyo3-log+default-dev (>= 0.12-~~),
               librust-quote-1+default-dev (>= 1.0.37),
               librust-regex-1+default-dev (>= 1.10.6-~~),
               librust-reqwest+blocking-dev (>= 0.12),
               librust-reqwest+default-dev (>= 0.12),
               librust-reqwest+json-dev (>= 0.12),
               librust-rowan-0.16+default-dev,
               librust-semver-1+default-dev,
               librust-sequoia-openpgp-2+default-dev (>= 2-~~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-serde-yaml+default-dev (>= 0.9),
               librust-serial-test-dev,
               librust-sha1-0.10+default-dev,
               librust-shell-words-1+default-dev,
               librust-sqlx-0.8+default-dev,
               librust-sqlx-0.8+postgres-dev,
               librust-sqlx-0.8+runtime-tokio-rustls-dev,
               librust-strsim-0.11+default-dev,
               librust-svp-client+default-dev (>= 0.1.0),
               librust-svp-client-0.2+default-dev,
               librust-systemd-unit-edit-0.1+default-dev (>= 0.1.1),
               librust-tempfile-3+default-dev,
               librust-textwrap-0.16+default-dev,
               librust-tokio-1+default-dev (>= 1.39),
               librust-tokio-1+full-dev (>= 1.39),
               librust-tokio-1+macros-dev,
               librust-tokio-1+net-dev,
               librust-tokio-1+rt-dev (>= 1.39),
               librust-tokio-1+rt-multi-thread-dev (>= 1.39),
               librust-tokio-1+signal-dev,
               librust-toml-edit+default-dev (<< 0.29),
               librust-toml-edit+default-dev (>= 0.22),
               librust-toml-edit-0.22+default-dev,
               librust-tracing-0.1+default-dev,
               librust-tracing-log-0.2+default-dev,
               librust-tracing-subscriber-0.3+ansi-dev,
               librust-tracing-subscriber-0.3+default-dev,
               librust-tracing-subscriber-0.3+env-filter-dev,
               librust-tracing-subscriber-0.3+fmt-dev,
               librust-upstream-ontologist-0.3+default-dev (>= 0.3.10),
               librust-url-2+default-dev,
               librust-url-2+serde-dev,
               librust-wait-timeout-0.2+default-dev,
               librust-xdg-2+default-dev,
               librust-xz2-0.1+default-dev,
               libstd-rust-dev,
               lintian (>= 2.105.0),
               po-debconf,
               python3-breezy (>= 3.3.1~),
               python3-setuptools,
               rustc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/debian-codemods.git
Vcs-Browser: https://salsa.debian.org/jelmer/debian-codemods
Homepage: https://salsa.debian.org/jelmer/debian-codemods

Package: debian-codemods
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0)
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common
Breaks: lintian-brush (<< 0.170~)
Replaces: lintian-brush (<< 0.170~)
Description: codemods for automatically fixing problems in Debian packages
 This package contains a set of scripts that can automatically fix common
 problems in Debian packages:
 .
 * apply-multiarch-hints: applies multiarch hints to debian/control
 * deb-scrub-obsolete: removes obsolete dependencies and maintscript snippets
 * deb-vcs-publish: adds VCS metadata to debian/control
 * fix-watch-file: updates the debian/watch file to use the latest format

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0)
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common,
          debian-codemods
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.
