=== lintian-brush/tests/debian-rules-missing-recommended-target/mixed-arch/out/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

build-indep: build

build-arch: build
