=== lintian-brush/tests/debhelper-tools-from-autotools-dev-are-deprecated/multiline-continuation/in/debian/control ===
Source: test-package
Maintainer: Test <test@example.com>
Build-Depends: debhelper-compat (= 13)

Package: test-package
Architecture: any
Description: Test package
 Test package description.
