=== lintian-brush/tests/debian-watch-use-templates/github-tags/out/debian/watch ===
Version: 5

Template: GitHub
Owner: torvalds
Project: linux
