=== lintian-brush/tests/debian-watch-use-templates/mail-authentication-results/out/debian/watch ===
Version: 5

Template: Metacpan
Dist: Mail-AuthenticationResults
