=== lintian-brush/tests/package-uses-deprecated-dpatch-patch-system/override/in/debian/control ===
Source: test-package
Maintainer: Test User <test@example.com>
Build-Depends: debhelper (>= 11), dpatch

Package: test-package
Architecture: any
Description: Test package
 A test package for dpatch override test.
