=== lintian-brush/tests/trailing-comma-in-maintainer-field/simple/out/debian/control ===
Source: test-package
Maintainer: John Doe <john@example.com>

Package: test-package
Architecture: all
Description: Test package
 This is a test package.
