=== lintian-brush/tests/upstream-metadata-has-obsolete-field/no-machine-copyright/in/debian/control ===
Source: test
